package com.jz.sms.api;


import com.jz.sms.chuanglan.dto.CLNotifyRequest;
import com.jz.sms.chuanglan.service.ChuangLanSmsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

@RequestMapping("/test/chuanglan")
@RestController
public class ChuangLanApi {


    public static void main(String[] args) {
        String regex = "\\$\\{([^'}]*)'\\}";
        Pattern pattern = Pattern.compile (regex);
        Matcher matcher = pattern.matcher ("你需要${a522}匹${555'}配的字符串");
        while (matcher.find ())
        {
            System.out.println (matcher.group ());
        }
    }
    private static final Logger log = LoggerFactory.getLogger(ChuangLanApi.class);

    @Autowired
    private ChuangLanSmsService chuangLanSmsService;

    @PostMapping("/notify")
    public String notify(@RequestParam CLNotifyRequest notifyInfo) {
        log.info("创蓝异步通知接口入参：{}", notifyInfo);

        chuangLanSmsService.asyncNotify(notifyInfo);


        String response = "success";
        log.info("创蓝异步通知接口出参：{}", response);
        return response;
    }
}
